Bug 141450 - backspace patch breaks binary compatibility
backspace patch breaks binary compatibility
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gtk2 (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
:
Depends On:
Blocks: 135876
  Show dependency treegraph
 
Reported: 2004-12-01 01:01 EST by Manish Singh
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 11:30:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manish Singh 2004-12-01 01:01:18 EST
The gtk+-2.4.9-backspace.patch (in 2.4.13-10) adds an entry for the
backspace signal to the Class struct for GtkEntry and GtkTextView, but
doesn't remove a _gtk_reservedN member to compensate for the addition.
Thus the class structures for these two widgets are bigger than they
should be.

After this is fixed, all dependents of gtk2 in the distro should be
rebuilt.
Comment 2 Matthias Clasen 2004-12-01 13:08:45 EST
After talking to owen, we will have to fix gtk2,
then rebuild gtk--, gtksourceview, gedit
Comment 4 Matthias Clasen 2004-12-23 11:30:12 EST
This is fixed in the current RHEL4 packages

Note You need to log in before you can comment on or make changes to this bug.